Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
EBUILDS+HOWTO: installation of Catalyst Framework 5.80029
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3, 4, 5, 6, 7, 8, 9  Next  
Reply to topic    Gentoo Forums Forum Index Documentation, Tips & Tricks
View previous topic :: View next topic  
Author Message
krani1
Tux's lil' helper
Tux's lil' helper


Joined: 21 Jun 2004
Posts: 76

PostPosted: Sun May 28, 2006 12:18 pm    Post subject: Reply with quote

hi!

got a problem... I upgraded to perl 5.8.8 and ran perl-cleaner all

but... I wanted to get rid of all modules, so i went to /usr/lib and delete all 5.8.7 directories....

but now... "Catalyst.pm" not found (and other modules related)... so my question is, how can I reemerge all the catalyst related modules? I don't want to do a emerge -e catalystframework cause that would install gcc too :P

please help me :D
Back to top
View user's profile Send private message
LordArthas
Guru
Guru


Joined: 01 Nov 2004
Posts: 493
Location: Maniago, Friûl, Italia

PostPosted: Mon May 29, 2006 8:17 am    Post subject: Reply with quote

Hello!

krani1 wrote:
but now... "Catalyst.pm" not found (and other modules related)... so my question is, how can I reemerge all the catalyst related modules? I don't want to do a emerge -e catalystframework cause that would install gcc too :P


Mmm I'm no portage wizard, but I think you'll have to re-emerge alla packages individually. You need to do emerge -av catalystframework and then, everytime you find something missing, do:

Code:

emerge --oneshot packagename


Maybe the emerge -e catalystframework thing is faster. ;-)

Michele.

P.S.: By the way, when you upgrade Perl it still searched on the directory of the previous version (5.8.7) so you don't need to delete everything in there (otherwise you want the maximum "order" of course ;-)).
_________________
Michele Beltrame
Italian Perl Workshop 2011
http://www.perl.it/workshop/
Back to top
View user's profile Send private message
krani1
Tux's lil' helper
Tux's lil' helper


Joined: 21 Jun 2004
Posts: 76

PostPosted: Mon May 29, 2006 8:22 am    Post subject: Reply with quote

hi!! :)

here's what I did:

Code:
localhost ~ # cd /usr/portage/local/layman/catalystframework/dev-perl                                 
localhost dev-perl # for i in *; do emerge -C $i; done
localhost dev-perl # emerge -av catalystframework catalystframework-extras


It was the fastest way I found to do it :) thank you :)
Back to top
View user's profile Send private message
LordArthas
Guru
Guru


Joined: 01 Nov 2004
Posts: 493
Location: Maniago, Friûl, Italia

PostPosted: Mon May 29, 2006 12:55 pm    Post subject: Reply with quote

Hello!

krani1 wrote:

Code:
localhost ~ # cd /usr/portage/local/layman/catalystframework/dev-perl                                 
localhost dev-perl # for i in *; do emerge -C $i; done
localhost dev-perl # emerge -av catalystframework catalystframework-extras


It was the fastest way I found to do it :) thank you :)


Cool! Yesterday I tried to use xargs, backticks etc to accomplish the same thing, but I'm a bit too lame with bash usage. ;-)

Michele.
_________________
Michele Beltrame
Italian Perl Workshop 2011
http://www.perl.it/workshop/
Back to top
View user's profile Send private message
atoy
n00b
n00b


Joined: 30 May 2006
Posts: 1

PostPosted: Tue May 30, 2006 1:06 pm    Post subject: Reply with quote

Hello,

I installed catalyst trough your overlay, and i tested it with the Model DBIC::Schema. It is based on DBIx-Class-Schema-Loader.
DBIx-Class-Schema-Loader depends on the Data::Dump perl module but it's not in the portage tree.
I created an ebuild, and i modified your DBIx-Class-Schema-Loader ebuild to add Data-Dump to DEPEND.

Here are the ebuilds :

DBIx-Class-Schema-Loader-0.03000-r1.ebuild
Code:
# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header$

inherit perl-module

DESCRIPTION="Dynamic definition of DBIx::Class sub classes."
HOMEPAGE="http://search.cpan.org/dist/${PN}/"
SRC_URI="mirror://cpan/authors/id/B/BL/BLBLACK/${P}.tar.gz"
LICENSE="|| ( Artistic GPL-2 )"

SLOT="0"
KEYWORDS="alpha amd64 arm hppa ia64 m68k mips ppc ppc64 ppc-macos s390 sh sparc x86"
RESTRICT="nomirror"

IUSE="sqlite"
DEPEND=">=dev-perl/DBIx-Class-0.06
    >=dev-perl/UNIVERSAL-require-0.10
    >=dev-perl/Lingua-EN-Inflect-1.89
    >=dev-perl/Lingua-EN-Inflect-Number-1.1
    >=dev-perl/Class-Accessor-0.22
    >=dev-perl/Class-Data-Accessor-0.02
    >=dev-perl/Class-C3-0.09
    >=dev-perl/DBI-1.40
    >=dev-perl/Class-Inspector
    >=dev-perl/Data-Dump-1.06
    sqlite? ( >=dev-perl/DBD-SQLite-1.11 )"


Data-Dump-1.06.ebuild
Code:
# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header$

inherit perl-module

DESCRIPTION="Pretty printing of data structures"
SRC_URI="mirror://cpan/authors/id/G/GA/GAAS/${P}.tar.gz"
HOMEPAGE="http://www.cpan.org/modules/by-authors/id/G/GA/GAAS/${P}.readme"

IUSE=""

SLOT="0"
LICENSE="|| ( Artistic GPL-2 )"
KEYWORDS="alpha amd64 arm hppa ia64 m68k mips ppc ppc64 ppc-macos s390 sh sparc x86"


I thing it's a good idea to add it into the svn repository :)

Thanks for your job !

Anthony
Back to top
View user's profile Send private message
LordArthas
Guru
Guru


Joined: 01 Nov 2004
Posts: 493
Location: Maniago, Friûl, Italia

PostPosted: Tue May 30, 2006 1:46 pm    Post subject: Reply with quote

Hello!

atoy wrote:
I installed catalyst trough your overlay, and i tested it with the Model DBIC::Schema. It is based on DBIx-Class-Schema-Loader.
DBIx-Class-Schema-Loader depends on the Data::Dump perl module but it's not in the portage tree.
I created an ebuild, and i modified your DBIx-Class-Schema-Loader ebuild to add Data-Dump to DEPEND.


Thanks for pointing this out: the DBIx-Class-Schema-Loader ebuild had also other bugs, so I fixed (I hope) them all and released a new ebuild.

I also added the Data-Dump ebuild you provided.

Thanks a lot,
Michele.
_________________
Michele Beltrame
Italian Perl Workshop 2011
http://www.perl.it/workshop/
Back to top
View user's profile Send private message
Llarian
n00b
n00b


Joined: 13 Mar 2004
Posts: 15

PostPosted: Tue Jun 06, 2006 8:45 pm    Post subject: Reply with quote

I know Class::DBI is obsolete (or say says MST frequently and with reckless abandon. :P), however, any chance of adding Class::DBI::AbstractSearch?

-Dylan
Back to top
View user's profile Send private message
LordArthas
Guru
Guru


Joined: 01 Nov 2004
Posts: 493
Location: Maniago, Friûl, Italia

PostPosted: Wed Jun 07, 2006 3:40 pm    Post subject: Reply with quote

Hi!

Llarian wrote:
I know Class::DBI is obsolete (or say says MST frequently and with reckless abandon. :P), however, any chance of adding Class::DBI::AbstractSearch?


I added it. However, mst is just too right. ;-) Use DBIx::Class (which includes the abstract search features btw)!!!

Michele.
_________________
Michele Beltrame
Italian Perl Workshop 2011
http://www.perl.it/workshop/
Back to top
View user's profile Send private message
gunterk1
n00b
n00b


Joined: 11 May 2005
Posts: 8

PostPosted: Tue Jun 13, 2006 1:24 pm    Post subject: I'm looking for the Superform Plugin Reply with quote

Hey Michele,

first of all, thanks for the existing ebuilds, the help a lot.

it seems, the Superform plugin is not included in the actual ebuild, is it possible to include it?

bye, gunter
Back to top
View user's profile Send private message
LordArthas
Guru
Guru


Joined: 01 Nov 2004
Posts: 493
Location: Maniago, Friûl, Italia

PostPosted: Wed Jun 14, 2006 9:38 pm    Post subject: Re: I'm looking for the Superform Plugin Reply with quote

Hello!

gunterk1 wrote:

it seems, the Superform plugin is not included in the actual ebuild, is it possible to include it?


I added HTML::SuperForm and Catalyst::Plugin::SuperForm to the SVN repository. It seems however that the first module (on which the second depends) doesn't install as portage complains with:

Code:

 * No Make or Build file detected...


If someone can try it and work the solution out please let me know and I'll fix the ebuild.

Also, consider using HTML::Widget, which is now almost the "standard" among Catalyst users. I added the one you requested anyway, as Catalyst also promotes the freedom to use whatever module you like best. ;-)

Michele.
_________________
Michele Beltrame
Italian Perl Workshop 2011
http://www.perl.it/workshop/
Back to top
View user's profile Send private message
Llarian
n00b
n00b


Joined: 13 Mar 2004
Posts: 15

PostPosted: Thu Jun 15, 2006 11:42 pm    Post subject: Reply with quote

LordArthas wrote:
Hi!

I added it. However, mst is just too right. ;-) Use DBIx::Class (which includes the abstract search features btw)!!!

Michele.


Thanks! And yeah, I know, but I have an application based on CDBI. Porting isn't in the timetables right now. Maybe after a public release. heh

And thanks again for maintaining this overlay!

-Dylan
Back to top
View user's profile Send private message
gunterk1
n00b
n00b


Joined: 11 May 2005
Posts: 8

PostPosted: Tue Jun 20, 2006 7:21 am    Post subject: Reply with quote

Thanks michele,

i had no problem installing HTML::SuperForm and Catalyst::Plugin::SuperForm. it works fine.


Code:
Also, consider using HTML::Widget, which is now almost the "standard" among Catalyst users.


I will try it. This module looks very nice, especialy the connection of form creation and validation is a very smart idea :D .
Back to top
View user's profile Send private message
LordArthas
Guru
Guru


Joined: 01 Nov 2004
Posts: 493
Location: Maniago, Friûl, Italia

PostPosted: Fri Jun 23, 2006 7:57 pm    Post subject: Reply with quote

Hello all!

The new release available via overlay/SVN now includes the development versions of Catalyst (5.70_01) and DBIx::Class (0.6999_02). These are not installed by default as they're ~arch, but you can add this to /etc/package.keywords to get them working:

Code:

dev-perl/DBIx-Class ~x86
dev-perl/Catalyst ~x86


Of course, if you arch is not x86, change accordingly. You are encouraged to use development versions (in you NON-production environment of course), especially DBIx::Class which seems pretty stable. While its true that bugs by be there, using these versions and reporting problems speeds development up.

BTW, I also fixed the HTML::SuperForm ebuild bug I was talking about in my latest message.

Michele.

Update: do not use the unstable Catalyst ebuild I provided, as it's old. I'll soon provide the new Catalyst-Runtime and Catalyst-Devel ebuilds.

Update:: Catalyst-Runtime and Catalyst-Devel ebuilds are now in repository. If you're adventurous enough, you can add those to you /etc/portage/package.keywords file and then:

Code:

emerge -Cav Catalyst
emerge -av Catalyst-Runtime Catalyst-Devel


to get the magic Catalyst 5.70!!!
_________________
Michele Beltrame
Italian Perl Workshop 2011
http://www.perl.it/workshop/
Back to top
View user's profile Send private message
LordArthas
Guru
Guru


Joined: 01 Nov 2004
Posts: 493
Location: Maniago, Friûl, Italia

PostPosted: Mon Jul 10, 2006 10:35 am    Post subject: Reply with quote

5.7000 version of Catalyst is out, so I re-packaged the ebuilds. To upgrade you need to remove the Catalyst package, as it is now split in:

Catalyst-Runtime
Catalyst-Devel

You can then just do emerge -uDav catalystframework to install the latest version.

Important note: some packages still depend on the old Catalyst package, so emerge might give you errors. If that hapepns, please post here and I'll fix.

Update: I'm fixing many ebuilds, a new release should come shortly.

Update 2: Most ebuilds are fixed, so I release package 5.7000-r1. Let me know if you find bugs! Thanks.

Michele.
_________________
Michele Beltrame
Italian Perl Workshop 2011
http://www.perl.it/workshop/
Back to top
View user's profile Send private message
gerene
n00b
n00b


Joined: 18 Oct 2005
Posts: 37
Location: Belgium

PostPosted: Fri Jul 14, 2006 9:16 am    Post subject: File-Copy-Recursive Reply with quote

Hello,

thanks for this new ebuild. I tried to install (after removing the previous version of Catalyst) but ran into the following problem when emerging:

emerging dev-perl/File-Copy-Recursive-0.22
....
when downloading the tar.gz for this package an error 404 (not found) occured and the emerge aborted.

I tried to install File-Copy-Recursive with g-cpan but had the same result.
I installed the current version of File-Copy-Recursive (0.25) with cpan and tried to re-emerge catalystframework, but it is still looking for version 0.22. :cry:

regards,

Jan
_________________
Jan Gerene
Back to top
View user's profile Send private message
LordArthas
Guru
Guru


Joined: 01 Nov 2004
Posts: 493
Location: Maniago, Friûl, Italia

PostPosted: Mon Jul 17, 2006 9:52 pm    Post subject: Re: File-Copy-Recursive Reply with quote

Hello Jan!

Please excuse me for the delay of this reply, but I tried digging the problem. I wasn't able to re-create this, as on all my machines _catalystframework_ install (correctly) _dev-perl/File-Copy-Recursive-0.22_. What platform are you installing on?

By the way, I released a new packaged version which should by now fix most of the bugs introduced with the 5.7000 ebuilds (sorry for those). There are updated modules as well.

Michele.
_________________
Michele Beltrame
Italian Perl Workshop 2011
http://www.perl.it/workshop/
Back to top
View user's profile Send private message
gerene
n00b
n00b


Joined: 18 Oct 2005
Posts: 37
Location: Belgium

PostPosted: Wed Jul 19, 2006 1:46 pm    Post subject: Reply with quote

Hello Michele,

excuse me too for the delay, but I was out of town for a couple of days.
I use an hp laptop for the installation (using a x86).
Could it be related to the cpan-mirror I am using ?
I will try to install the updated package.

regards,

Jan
_________________
Jan Gerene
Back to top
View user's profile Send private message
LordArthas
Guru
Guru


Joined: 01 Nov 2004
Posts: 493
Location: Maniago, Friûl, Italia

PostPosted: Wed Jul 19, 2006 4:44 pm    Post subject: Reply with quote

Hello!

Fact is it shouldn't try to install the 0.22 version of File-Copy-Recursive in any case: there 0.25, it should download that one. If you still experience the error, please post the output of:

emerge -uDpvt catalystframework

Thanks,
Michele.
_________________
Michele Beltrame
Italian Perl Workshop 2011
http://www.perl.it/workshop/
Back to top
View user's profile Send private message
gerene
n00b
n00b


Joined: 18 Oct 2005
Posts: 37
Location: Belgium

PostPosted: Wed Jul 19, 2006 5:15 pm    Post subject: Reply with quote

I just installed it on one of my other machines and there everything went well. I did however install the latest svn version.
I will try again on my laptop and see if it works then.
Would you like me to test the packaged version or the latest svn version on my laptop?
_________________
Jan Gerene
Back to top
View user's profile Send private message
LordArthas
Guru
Guru


Joined: 01 Nov 2004
Posts: 493
Location: Maniago, Friûl, Italia

PostPosted: Wed Jul 19, 2006 6:59 pm    Post subject: Reply with quote

Hello!

If possibile, please test the packaged version. At present time, hwoever, it should be as updated as the SVN versions (I'll update some modules on SVN later tonight).

Thanks you so much,
Michele.
_________________
Michele Beltrame
Italian Perl Workshop 2011
http://www.perl.it/workshop/
Back to top
View user's profile Send private message
LordArthas
Guru
Guru


Joined: 01 Nov 2004
Posts: 493
Location: Maniago, Friûl, Italia

PostPosted: Thu Jul 20, 2006 11:22 pm    Post subject: Reply with quote

Version 5.7001 is out. Bugfixes in Catalyst-Runtime ebuild (thanks Toby!) and:

Code:

Updated ebuilds:
----------------
catalystframework: 5.7001
catalystframework-extras: 5.7001
Catalyst-Runtime: 5.7001
Class-C3: 0.12
Catalyst-Plugin-Scheduler: 0.07
Set-Object: 1.16
DBIx-Class-Schema-Loader: 0.03005


BTW, I'll be on holiday for one week or so. Therefore no updtes to the SVN repository will be made during next week. ;-)

Michele.
_________________
Michele Beltrame
Italian Perl Workshop 2011
http://www.perl.it/workshop/
Back to top
View user's profile Send private message
gerene
n00b
n00b


Joined: 18 Oct 2005
Posts: 37
Location: Belgium

PostPosted: Fri Jul 21, 2006 8:49 am    Post subject: Reply with quote

LordArthas wrote:
Hello!

If possibile, please test the packaged version. At present time, hwoever, it should be as updated as the SVN versions (I'll update some modules on SVN later tonight).

Thanks you so much,
Michele.


I tried it again with the packaged version and now it works. Don't know what went wrong, but it is working now.

Thanks for your help

Jan
_________________
Jan Gerene
Back to top
View user's profile Send private message
gunterk1
n00b
n00b


Joined: 11 May 2005
Posts: 8

PostPosted: Wed Jul 26, 2006 8:49 am    Post subject: problem with emerge --update world Reply with quote

when i start the --update world i get the following block

[blocks B ] dev-perl/Catalyst-Runtime (is blocking dev-perl/Catalyst-9999.9\
)

even if i unmerge dev-perl/Catalyst-Runtime i still get the same block. do you have an idea what's wrong?

thx, gunter
Back to top
View user's profile Send private message
LordArthas
Guru
Guru


Joined: 01 Nov 2004
Posts: 493
Location: Maniago, Friûl, Italia

PostPosted: Mon Jul 31, 2006 9:39 am    Post subject: Re: problem with emerge --update world Reply with quote

Hello!

Sorry for the delay of this reply, I was on holiday ;-)

gunterk1 wrote:
when i start the --update world i get the following block

[blocks B ] dev-perl/Catalyst-Runtime (is blocking dev-perl/Catalyst-9999.9\
)
even if i unmerge dev-perl/Catalyst-Runtime i still get the same block. do you have an idea what's wrong?
thx, gunter


Catalyst-Runtime replaces Catalyst, so you have to unmerge this last one so it won't be updated. If you still experience problems, it might be a dependency problem in some other package, so please post here the output of:

emerge -uDpvt world

Thanks,
Michele.
_________________
Michele Beltrame
Italian Perl Workshop 2011
http://www.perl.it/workshop/
Back to top
View user's profile Send private message
LordArthas
Guru
Guru


Joined: 01 Nov 2004
Posts: 493
Location: Maniago, Friûl, Italia

PostPosted: Fri Aug 04, 2006 10:18 pm    Post subject: Reply with quote

I released version 5.7001-r1 of the packaged ebuilds: main news is DBIx::Class 0.7000.

Michele.
_________________
Michele Beltrame
Italian Perl Workshop 2011
http://www.perl.it/workshop/
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Documentation, Tips & Tricks All times are GMT
Goto page Previous  1, 2, 3, 4, 5, 6, 7, 8, 9  Next
Page 4 of 9

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum